WPSOLE1ParserInternal::State Struct Reference documentation

WPSOLE1ParserInternal::State Struct Reference

Internal: internal method to keep ole1 state. More...

## Public Member Functions
| State (shared_ptr< WPSStream > fileStream)
| constructor
void | createPictureIdToZoneIdList ()
| create the pictureIdToZoneIdList

## Public Attributes
shared_ptr< WPSStream > | m_fileStream
| the file stream
std::map< int, OLEZone > | m_idToZoneMap
| the map id to zone
std::map< int, std::string > | m_idToTypeNameMap
| the map id to zone type
std::vector< int > | m_pictureIdToZoneIdList
| a map local id to picture id zone
bool | m_pictureIdToZoneIdListCreated
| a flag to know if the pictureIdToZoneIdList is created

## Detailed Description

Internal: internal method to keep ole1 state.

## Constructor & Destructor Documentation

## ◆ State()

WPSOLE1ParserInternal::State::State | ( | shared_ptr< WPSStream > | fileStream | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ createPictureIdToZoneIdList()

void WPSOLE1ParserInternal::State::createPictureIdToZoneIdList | ( |  | ) |

create the pictureIdToZoneIdList

## Member Data Documentation

## ◆ m_fileStream

shared_ptr<WPSStream> WPSOLE1ParserInternal::State::m_fileStream

the file stream

Referenced by State().

## ◆ m_idToTypeNameMap

std::map<int, std::string> WPSOLE1ParserInternal::State::m_idToTypeNameMap

the map id to zone type

Referenced by State().

## ◆ m_idToZoneMap

std::map<int, OLEZone> WPSOLE1ParserInternal::State::m_idToZoneMap

the map id to zone

Referenced by createPictureIdToZoneIdList(), and State().

## ◆ m_pictureIdToZoneIdList

std::vector<int> WPSOLE1ParserInternal::State::m_pictureIdToZoneIdList

a map local id to picture id zone

Referenced by createPictureIdToZoneIdList(), and State().

## ◆ m_pictureIdToZoneIdListCreated

bool WPSOLE1ParserInternal::State::m_pictureIdToZoneIdListCreated

a flag to know if the pictureIdToZoneIdList is created

Referenced by createPictureIdToZoneIdList(), and State().

The documentation for this struct was generated from the following file:

- WPSOLE1Parser.cpp